VerifyingTestCase
Date: 2015-09-15

org.jmock.core

## Class VerifyingTestCase

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.jmock.core.VerifyingTestCase

- All Implemented Interfaces:
    junit.framework.Test
  Direct Known Subclasses:
    MockObjectSupportTestCase

      public abstract class VerifyingTestCase
      extends junit.framework.TestCase

  A `TestCase` that verifies `Verifiable` fields and registered Verifiable objects after the test has run and before the fixture has been torn down.
  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VerifyingTestCase()`
    `VerifyingTestCase(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerToVerify(Verifiable verifiable)`
    `void` | `runBare()`
    `void` | `unregisterToVerify(Verifiable verifiable)`
    `void` | `verify()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VerifyingTestCase

          public VerifyingTestCase()

    - #### VerifyingTestCase

          public VerifyingTestCase(java.lang.String name)

  - ### Method Detail

    - #### runBare

          public void runBare()
                       throws java.lang.Throwable

      Overrides:
        `runBare` in class `junit.framework.TestCase`
      Throws:
        `java.lang.Throwable`

    - #### registerToVerify

          public void registerToVerify(Verifiable verifiable)

    - #### unregisterToVerify

          public void unregisterToVerify(Verifiable verifiable)

    - #### verify

          public void verify()